MODULE_MAKEFILE_DIR := $(shell dirname $(abspath $(lastword $(MAKEFILE_LIST))))

# Run the module build.sh (wrapper for make) script with an empty environment, but PATH
HAS_RSS_STAT_ARRAY := $(shell env -i CLANG="$(CLANG)" LLC="$(LLC)" PATH="$(PATH)" KERNELDIR="$(KERNELDIR)" sh $(MODULE_MAKEFILE_DIR)/build.sh ; echo $$?)

ifeq ($(HAS_RSS_STAT_ARRAY),0)
$(info [configure-bpf] Setting HAS_RSS_STAT_ARRAY flag)
KBUILD_CPPFLAGS += -DHAS_RSS_STAT_ARRAY
else
HAS_RSS_STAT_ARRAY_OUT := $(shell cat $(MODULE_MAKEFILE_DIR)/build.log)
$(info [configure-bpf] Build output for HAS_RSS_STAT_ARRAY:)
$(info [configure-bpf] $(HAS_RSS_STAT_ARRAY_OUT))
endif
