MODULE_MAKEFILE_DIR := $(shell dirname $(abspath $(lastword $(MAKEFILE_LIST))))

# Run the module build.sh (wrapper for make) script with an empty environment,
# but pass PATH, KERNELDIR and eventually (if set) CC and KBUILD_MODPOST_WARN.
# The latter ones are used by driverkit build templates.
HAS_DEVNODE_ARG1_CONST := $(shell env -i CC="$(CC)" KBUILD_MODPOST_WARN="$(KBUILD_MODPOST_WARN)" PATH="$(PATH)" KERNELDIR="$(KERNELDIR)" sh $(MODULE_MAKEFILE_DIR)/build.sh ; echo $$?)

ifeq ($(HAS_DEVNODE_ARG1_CONST),0)
$(info [configure-kmod] Setting HAS_DEVNODE_ARG1_CONST flag)
ccflags-y += -DHAS_DEVNODE_ARG1_CONST
else
HAS_DEVNODE_ARG1_CONST_OUT := $(shell cat $(MODULE_MAKEFILE_DIR)/build.log)
$(info [configure-kmod] Build output for HAS_DEVNODE_ARG1_CONST:)
$(info [configure-kmod] $(HAS_DEVNODE_ARG1_CONST_OUT))
endif
